Skip to content

getProcess

READ

Get process.

POST /api/v1/resources/getProcess
curl -X POST '<your-host>/api/v1/resources/getProcess' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "processId": "string"
  }'
Response
{
  "active": true,
  "batchable": true,
  "batchRules": "…",
  "batchType": "Sequential",
  "companyId": "string",
  "completeAllOnScan": true,
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "defaultStandardFactor": "Hours/Piece",
  "id": "string",
  "name": "string",
  "processType": "Process",
  "requiresAbility": true,
  "suppliers": "…",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string",
  "workCenters": [
    "string"
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "processId": {
      "type": "string"
    }
  },
  "required": [
    "processId"
  ]
}